package com.cm.common.pojo.bos;

/**
 * @ClassName: GroupBO
 * @Description: 用户组
 * @Author: WangGeng
 * @Date: 2019/3/14 9:29 PM
 * @Version: 1.0
 **/
public class GroupBO {

    private String groupId;
    private String groupName;
    private String groupSummary;

    public String getGroupId() {
        return groupId == null ? "" : groupId.trim();
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName == null ? "" : groupName.trim();
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupSummary() {
        return groupSummary == null ? "" : groupSummary.trim();
    }

    public void setGroupSummary(String groupSummary) {
        this.groupSummary = groupSummary;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"groupId\":")
                .append("\"").append(groupId).append("\"");
        sb.append(",\"groupName\":")
                .append("\"").append(groupName).append("\"");
        sb.append(",\"groupSummary\":")
                .append("\"").append(groupSummary).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
